LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDrawPagesSupplier Interface Referencepublished

must be supported to provide access to a multi-page drawing-layer. More...

`import"XDrawPagesSupplier.idl";`

Inheritance diagram for XDrawPagesSupplier:

## Public Member Functions
com::sun::star::drawing::XDrawPages | getDrawPages ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

must be supported to provide access to a multi-page drawing-layer.

Developers Guide
  Charts - Creating a Chart OLE Object in Draw and Impress

## Member Function Documentation

## ◆ getDrawPages()

com::sun::star::drawing::XDrawPages getDrawPages | ( |  | ) |

Returns
  an indexed container with the service DrawPages.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XDrawPagesSupplier.idl